Broadband: uses Shockwave 4.0 (MSU ethernet) Mediumband: 56K Modem, Netscape Required Narrowband: 14K Modem or better
BESTNOT QUITE THE BESTGREAT

If you have SHOCKWAVE, Netscape 4.5 or IE 5.0, use the Broadband Link if possible. If it's too slow, try the narrowband link
and experience the full potential of this page.
Don't have SHOCKWAVE? Download the Shockwave Plugin (376 kB)!

Authored By:
THOMAS ADAMS
ELIZABETH PFAFF
ANTHONY KENDALL


Last modified 12-9-99